/*
 *  Copyright (C) 2006-2007 Daniel Bessler <danielb@kiba-dock.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Daniel Bessler <danielb@kiba-dock.org>
*/

#ifndef __KIBA_SYS_H__
#define __KIBA_SYS_H__

#include <gtk/gtk.h>

#define NICE_VALUE 10

#ifdef __cplusplus
extern "C" {
#endif

/**
 * Launch Command.
 */
int launch_programm (const gchar *command);

/**
 * Get Command for PID.
 *
 * @param pid The PID.
 * @return The Command.
 */
char* kiba_sys_get_command_from_pid (int pid);

/**
 * Get the CPU FRequency from /proc/cpuinfo.
 *
 * @return The Cpu Frequency.
 */
int kiba_sys_get_cpu_frequency ();

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
